IRObjectOperations (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface IRObjectOperations

All Known Subinterfaces:
  IDLType, IDLTypeOperations, IRObject

All Known Implementing Classes:
  _IDLTypeStub

public interface IRObjectOperations

This is the Operations interface for the mapping from `IRObject`. Several interfaces are used as base interfaces for objects in the Interface Repository (IR). These base interfaces are not instantiable. A common set of operations is used to locate objects within the Interface Repository. Some of these operations are defined in the IRObject. All IR objects inherit from the IRObject interface, which provides an operation for identifying the actual type of the object. (The IDL base interface IRObject represents the most generic interface from which all other Interface Repository interfaces are derived, even the Repository itself.) All java implementations of IR objects must implement the IRObjectOperations interface.

See Also:
  `IDLTypeOperations`, `IDLType`, `IRObject`

Method Summary
`DefinitionKind` | `def_kind()` Returns the `DefinitionKind` corresponding to this Interface Repository object.
`void` | `destroy()` Destroys this object.

Method Detail

### def_kind

    public DefinitionKind def_kind()

  Returns the `DefinitionKind` corresponding to this Interface Repository object.

  Returns:
    the `DefinitionKind` corresponding to this Interface Repository object.

### destroy

    public void destroy()

  Destroys this object. If the object is a Container, this method is applied to all its contents. If the object contains an IDLType attribute for an anonymous type, that IDLType is destroyed. If the object is currently contained in some other object, it is removed. If the method is invoked on a `Repository` or on a `PrimitiveDef` then the `BAD_INV_ORDER` exception is raised with minor value 2. An attempt to destroy an object that would leave the repository in an incoherent state causes `BAD_INV_ORDER` exception to be raised with the minor code 1.

  Throws:
    `BAD_INV_ORDER` - if this method is invoked on a repository or `PrimitiveDef`, or if an attempt to destroy an object would leave the repository in an incoherent state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.